%{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}

%global incname ibmtss

Summary:    IBM's TCG Software Stack (TSS) for TPM 2.0 and related utilities
Name:       tss2
Version:    2.1.1
Release:    1%{?dist}
License:    BSD
URL:        http://sourceforge.net/projects/ibmtpm20tss/
Source0:    https://sourceforge.net/projects/ibmtpm20tss/files/ibmtss%{version}.tar.gz

BuildRequires: gcc automake autoconf libtool
BuildRequires: openssl-devel
Requires: openssl

%description
TSS2 is a user space Trusted Computing Group's Software Stack (TSS) for TPM 2.0. This 
package provides a simple interface equivalent to the TCG TSS working group's ESAPI, 
SAPI, and TCTI layers (and perhaps more). It also includes about 80 "TPM tools" for 
rapid prototyping, education and debugging. 

%package devel
Summary:	Development libraries and headers for IBM's TSS 2.0
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries and headers for IBM's TSS 2.0.

%prep
%autosetup -p1 -c %{name}-%{version}

%build
autoreconf -vi
%configure --disable-static --disable-tpm-1.2 --program-prefix=tss
CCFLAGS="%{optflags}" \
LNFLAGS="%{__global_ldflags}" \
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%license LICENSE
%{_bindir}/tss*
%{_libdir}/libibmtss.so.*
%{_libdir}/libibmtssutils.so.*
%attr(0644, root, root) %{_mandir}/man1/tss*.1*

%files devel
%{_includedir}/%{incname}
%{_libdir}/libibmtss.so
%{_libdir}/libibmtssutils.so

%changelog
* Wed Jan 03 2024 wynnfeng <wynnfeng@tencent.com> - 2.1.1-1
- Upgrade to version 2.1.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-1
- package init.
